Skip to main content

Social API

Social identity endpoints for Farcaster, Lens, and more.

Endpoints​

MethodPathDescription
GET/api/badges/{name}Achievement badges and POAPs
GET/api/followers/{name}List of followers with ENS names
GET/api/following/{name}List of accounts being followed
GET/api/guild/{id}Guild.xyz membership
GET/api/leaderboardTop accounts by follower count
GET/api/lens/{handle}Lens Protocol profile
GET/api/lens/address/{address}Lens by ETH address
GET/api/lens/exploreExplore Lens
GET/api/lens/profile/{handle}Lens profile
GET/api/lens/profile/{handle}/followersLens followers
GET/api/lens/profile/{handle}/followingLens following
GET/api/lens/profile/{handle}/postsLens posts
GET/api/lens/searchSearch Lens profiles
GET/api/lens/statsLens protocol stats
GET/api/mutuals/{name}Mutual followers (follow each other)
GET/api/passport/{address}Gitcoin Passport humanity score
GET/api/poaps/{address}POAP badges collection
GET/api/recommend/{name}AI-powered account recommendations
GET/api/reputation/{name}Social reputation score
GET/api/safe/{address}Safe/multisig info
GET/api/snapshot/proposals/{space}DAO proposals
GET/api/snapshot/space/{id}Snapshot DAO space info
GET/api/snapshot/votes/{address}Address voting history
GET/api/social/{name}Follower and following counts
GET/api/social/farcaster/{identifier}Farcaster profile
GET/api/social/farcaster/{identifier}/castsUser's casts
GET/api/social/farcaster/{identifier}/followersUser's followers
GET/api/social/farcaster/{identifier}/followingUser's following
GET/api/social/farcaster/address/{address}Lookup by ETH address
GET/api/social/farcaster/cast/{hash}Cast details
GET/api/social/farcaster/cast/{hash}/reactionsCast reactions
GET/api/social/farcaster/cast/{hash}/repliesCast replies
GET/api/social/farcaster/channel/{id}Channel details
GET/api/social/farcaster/channel/{name}/feedChannel feed
GET/api/social/farcaster/channelsAll channels
GET/api/social/farcaster/feed/{fid}User feed
GET/api/social/farcaster/notifications/{fid}User notifications
GET/api/social/farcaster/power-badgePower badge holders
GET/api/social/farcaster/recentRecent popular casts
GET/api/social/farcaster/searchSearch casts
GET/api/social/farcaster/search/usersSearch users
GET/api/social/farcaster/statsProtocol stats
GET/api/social/farcaster/trending/castsTrending casts
GET/api/social/farcaster/trending/usersTrending users
GET/api/social/farcaster/user/{fid}User by FID
GET/api/social/farcaster/user/{fid}/castsUser casts by FID
GET/api/social/farcaster/user/{fid}/followersFollowers by FID
GET/api/social/farcaster/user/{fid}/followingFollowing by FID
GET/api/social/farcaster/user/{fid}/storageUser storage usage
GET/api/social/farcaster/username/{username}User by username
GET/api/social/farcaster/users/bulkBulk user lookup

Quick Start​

# Example: /api/badges/\{name\}
curl -s "https://api.web3identity.com/api/badges/example" | jq